Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/JoystickData.h File Reference

Declaration of class JoystickData. More...

`#include "Representations/Motion/MotionRequest.h"`
`#include "Tools/Streams/InOut.h"`

Include dependency graph for JoystickData.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | JoystickData
| A class for holdung all data produced by a joystick or a key equivalent. More...
## Functions
In & | operator>> (In &stream, JoystickData &joystickData)
| Streaming operator that reads a JoystickData from a stream.
Out & | operator<< (Out &stream, const JoystickData &joystickData)
| Streaming operator that writes a JoystickData to a stream.
## Variables
const int | numOfJoystickButtons = 12
| the maximum number of configurable buttons

## Detailed Description

Declaration of class JoystickData.

Author:
  Uwe Düffert

Definition in file JoystickData.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | JoystickData & | joystickData
| ) |

  | Streaming operator that reads a JoystickData from a stream. Parameters:
  stream | The stream from which is read.
  joystickData | The JoystickData object.
Returns: The stream. Definition at line 17 of file JoystickData.cpp. References JoystickData::accel, JoystickData::button, JoystickData::coolie, JoystickData::directSpecialAction, SystemCall::getCurrentSystemTime(), JoystickData::specialActionID, JoystickData::timeStamp, JoystickData::x, JoystickData::y, and JoystickData::z.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const JoystickData & | joystickData
| ) |

  | Streaming operator that writes a JoystickData to a stream. Parameters:
  stream | The stream to write on.
  joystickData | The JoystickData object.
Returns: The stream. Definition at line 27 of file JoystickData.cpp. References JoystickData::accel, JoystickData::button, JoystickData::coolie, JoystickData::directSpecialAction, JoystickData::specialActionID, JoystickData::x, JoystickData::y, and JoystickData::z.

## Variable Documentation

const int numOfJoystickButtons = 12`[static]`

| the maximum number of configurable buttons Definition at line 15 of file JoystickData.h.